iapiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  name: plr-bug-reproduce
spec:
  serviceAccountName: pipeline
  pipelineRef:
    name: new-pipeline
  podTemplate:
    securityContext:
      fsGroup: 65532 
  taskRunSpecs:
  - pipelineTaskName: git-clone
    taskServiceAccountName: pipeline
    taskPodTemplate:
      securityContext:
        runAsNonRoot: true
        runAsUser: 65532
  - pipelineTaskName: list-task
    taskServiceAccountName: pipeline
    taskPodTemplate:
      securityContext:
        runAsNonRoot: false
        runAsUser: 0
  - pipelineTaskName: list-task-e9l
    taskServiceAccountName: pipeline
    taskPodTemplate:
      securityContext:
        runAsNonRoot: false
        runAsUser: 0
  workspaces:
  - name: test-worksapce
    persistentVolumeClaim:
      claimName: test-workspace

